package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 课程学生缴费表(CourseScheduleStudentPayment)表实体类
 *
 * @author hgw
 * @since 2022-03-23 14:35:20
 */
@ApiModel(value = "course_schedule_student_payment-课程学生缴费表")
public class CourseScheduleStudentPayment implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "${column.comment}")
    private Long id;

    @TableField("user_id_")
    @ApiModelProperty(value = "学生id;")
    private Long userId;

    @TableField("course_group_id_")
    @ApiModelProperty(value = "课程组id")
    private Long courseGroupId;

    @TableField("course_id_")
    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @TableField("order_no_")
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @TableField("original_price_")
    @ApiModelProperty(value = "原价")
    private BigDecimal originalPrice;

    @TableField("expect_price_")
    @ApiModelProperty(value = "预计价格")
    private BigDecimal expectPrice;

    @TableField("actual_price_")
    @ApiModelProperty(value = "实际价格")
    private BigDecimal actualPrice;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    @TableField("course_type_")
    @ApiModelProperty(value = "类型 practice陪练课 live直播课")
    private String courseType;

    @TableField("play_midi_")
    @ApiModelProperty(value = "网络教室节拍器参数")
    private String playMidi;

    @TableField("music_sheet_download_json_")
    @ApiModelProperty(value = "网络教室当前课程曲目下载信息")
    private String musicSheetDownloadJson;

    public String getMusicSheetDownloadJson() {
        return musicSheetDownloadJson;
    }

    public void setMusicSheetDownloadJson(String musicSheetDownloadJson) {
        this.musicSheetDownloadJson = musicSheetDownloadJson;
    }

    public String getPlayMidi() {
        return playMidi;
    }

    public void setPlayMidi(String playMidi) {
        this.playMidi = playMidi;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public BigDecimal getExpectPrice() {
        return expectPrice;
    }

    public void setExpectPrice(BigDecimal expectPrice) {
        this.expectPrice = expectPrice;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }

}

